C------------------------------------------------------------------------
      subroutine couplesv(ndmax,tzffr,vff,bzero,wgt,
     &     NDPMIN,NDPMAX,nsrmax)
C   calculation of rpa (/0th) polarization propagators in r space.
C------------------------------------------------------------------------
C     input
c        ndmax:
c        nrdm:
c        ndmdp:
c        NDPMIN:
c        NDPMAX:
c        kltrmx:maximum number of the index for the transferred l
c        nsrmax:
c        vff(ip,i2,NDP1,NDP2):
c        bzero(i1,ip,ist1,ist2,NDP1,NDP1):
c          =r1*r1*Pi0(j,(r1,l1),(r2,l2),w)*r2*r2
C     results in
C       tzffr(IRU,n1,n2,ist1,ist2,NDP1,NDP2):
C          = -(1/CPI)r1*r1*Pi(j,(r1,l1),(r2,l2),w)*r2*r2
C----------------------------------------------------------------------
      include 'dimn.fh'
      include 'fund2.fh'
c
      complex sum
      complex a(nrdm*ndmdp,nrdm*ndmdp*2)
      complex szff(nrdm,nrdm,2,2)
      complex bzero(nsrdm*2*2,nsrdm*2*2,2,2,2,2)
      complex tzffr(2,nsrdm*2,nsrdm*2,2,2,2,2)
      complex vff(nrdm,nrdm,2,2)
      real*4  velta(2,2,2,2)
      real*4  wgt(*)
c
      real*8 cpi/3.141592654d0/
c
          do 112 NDP1=NDPMIN,NDPMAX
          do 111 NDP2=NDPMIN,NDPMAX
          do 110 kltr2=1,kltrmx
            do 108 n2=1,nsrmax
              i2=n2+nsrmax*(kltr2-1)
              do 100 kltr1=1,kltrmx
                do 98 n1=1,nsrmax
                  i1=n1+nsrmax*(kltr1-1)
                  sum=(0.0,0.0)
                  do 90 lp=1,kltrmx
                    do 88 np=1,nsrmax
                      ip=np+nsrmax*(lp-1)
                        sum=sum-bzero(i1,ip,2,2,NDP1,NDP1)
     1                          *wgt(np)*vff(ip,i2,NDP1,NDP2)
   88               continue
   90             continue
                  szff(i1,i2,NDP1,NDP2)=sum*wgt(n2)
   98           continue
  100         continue
              if(NDP1.eq.NDP2) then
                szff(i2,i2,NDP1,NDP2)=szff(i2,i2,NDP1,NDP2)+(1.0,0.0)
              endif
  108       continue
  110     continue
  111     continue
  112     continue
C     Polarization Propagator
        Do 131 NDP2=NDPMIN,NDPMAX
        Do 130 NDP1=NDPMIN,NDPMAX
        do 130 n2=1,ndmax
          m2=n2+ndmax*(NDP2-1)
          md2=ndmax*NDPMAX+m2
          do 130 n1=1,ndmax
            m1=n1+ndmax*(NDP1-1)
            a(m1,m2)=szff(n1,n2,NDP1,NDP2)
            a(m1,md2)=bzero(n1,n2,2,2,NDP1,NDP2)
  130   continue
  131   continue
        ndmtmp=nrdm*ndmdp
        ndmeff=ndmax*(NDPMAX-NDPMIN+1)
C----------------------------------------------------------------------
        CALL CLNQGJ(a,ndmtmp,ndmtmp*2,ndmeff,ndmeff,isw)
C----------------------------------------------------------------------
C     RESPONSE FUNCTION for RPA
        do 172 NDP2=NDPMIN,NDPMAX
        do 171 NDP1=NDPMIN,NDPMAX
        do 170 n2=1,ndmax
          m2=n2+ndmax*(NDP2-1)
          md2=ndmax*NDPMAX+m2
          do 160 n1=1,ndmax
            m1=n1+ndmax*(NDP1-1)
            tzffr(2,n1,n2,2,2,NDP1,NDP2)=conjg(a(m1,md2)/CPI)
  160     continue
  170   continue
  171   continue
  172   continue
C
      return
      end
