C------------------------------------------------------------
      SUBROUTINE OCMG(NCI,NBLMX,IKHL,NM,SLFZFF,TECM,FMUD)
C     PARTICLE WAVE FUNCTIONS ARE ORTHOGONALIZED WITH THE BOUND
C     STATE WAVE FUNCTIONS
C     MODIFIED BY M. I. 10/27/1987
C          INPUT : NBLMX,IKHL,NM
C          OUTPUT: SLFZFF
C---------------------------------------------------------------
      INCLUDE 'dimn.fh'
      DIMENSION A(NDMOCM,NDMOCM*2),SB(NRDM),SH(NRDM)
      DIMENSION TSB(NRDM,NDMOCM),TSH(NRDM,NDMOCM)
      DIMENSION SLFZFF(NSRDM,NSRDM),WGTOCM(NRDM)
      INCLUDE 'fund1.fh'
      INCLUDE 'fund2.fh'
      INCLUDE 'space.fh'
      INCLUDE 'wave.fh'
C
      COMPLEX A,SB,SH,TSB,TSH,SLFZFF,XMATI,OVLP,YOCMG,S1,S2,ST
     1       ,ZOCMG,S3,S4,SU
      COMPLEX SUM(14400)
      COMPLEX TECM
      dimension nci(*)
C
C    SET WGTOCM
      DO 90 NR=1,NRMAX-1
        WGTOCM(NR)=0.66666667E0*FLOAT(1+NR-2*(NR/2))
   90 CONTINUE
      WGTOCM(NRMAX)=0.33333333E0
C
      FAC1=0.048194*FMUD
      IF(NBLMX.EQ.0) THEN
        DO 980 NI2=1,NSRMAX
          N2=2*NI2
          DO 940 NI1=1,NSRMAX
            N1=2*NI1
            N12MIN=MIN0(N1,N2)
            N12MAX=MAX0(N1,N2)
            XMATI=CMF(N12MIN,NM)*CMH(N12MAX,NM)
  920       SLFZFF(NI1,NI2)=FAC1*CICX(N1,IKHL)*CICX(N2,IKHL)*XMATI
  940     CONTINUE
  980   CONTINUE
        RETURN
      END IF
c
      NRMAX2=2*NSRMAX
C
      DO 70 NBL1=1,NBLMX
        NN1=NCI(NBL1)
        DO 25 I=1,NRMAX2
          NSR=I
          YOCMG=CMF(NSR,NM)*CICX(NSR,NN1)
          KSR=NRMAX2-I+1
          ZOCMG=CMH(KSR,NM)*CICX(KSR,NN1)
          IF((-1.0)**(I-2*(I/2)).LE.0.0) THEN
            IF(I.GT.1) THEN
              S1=S1+0.5*YOCMG
              S2=S2+1.3333333E0*YOCMG
              SB(NSR)=SB(NSR-1)+S1
              S3=S3+0.5*ZOCMG
              S4=S4+1.3333333E0*ZOCMG
              SH(KSR)=SH(KSR+1)+S3
            ELSE
              SB(1)=0.5*YOCMG
              S2=1.3333333E0*YOCMG
              SH(NRMAX2)=0.5*ZOCMG
              S4=1.3333333E0*ZOCMG
            END IF
          ELSE
            S1=0.5*YOCMG
            ST=0.3333333*YOCMG
            S3=0.5*ZOCMG
            SU=0.3333333*ZOCMG
            IF(I.LE.2) THEN
              SB(2)=S2+ST
              SH(NRMAX2-1)=S4+SU
            ELSE
              SB(NSR)=SB(NSR-2)+ST+S2
              SH(KSR)=SH(KSR+2)+SU+S4
            END IF
            S2=ST
            S4=SU
          END IF
   25   CONTINUE
C
        DO 50 NSR=1,NRMAX2
          TSB(NSR,NBL1)=SB(NSR)
          TSH(NSR,NBL1)=SH(NSR)
   50   CONTINUE
C
        DO 60 NBL2=NBL1,NBLMX
          NN2=NCI(NBL2)
          OVLP=(0.0,0.0)
          DO 55 NSR=1,NRMAX2
            OVLP=OVLP+WGTOCM(NSR)*CICX(NSR,NN2)*(CMH(NSR,NM)*SB(NSR)
     1        +CMF(NSR,NM)*SH(NSR))
   55     CONTINUE
          XMATI=OVLP*FAC1
          NBL1NX=NBL1+NBLMX
          NBL2NX=NBL2+NBLMX
          A(NBL1,NBL2)=XMATI
          A(NBL2,NBL1)=XMATI
          A(NBL1,NBL2NX)=(0.0,0.0)
          A(NBL2,NBL1NX)=(0.0,0.0)
          IF(NBL1.EQ.NBL2) A(NBL1,NBL2NX)=(1.0,0.0)
   60   CONTINUE
   70 CONTINUE
C----------------------------------------------------------------------
      CALL CLNQGJ(A,NDMOCM,NDMOCM*2,NBLMX,NBLMX,ISW)
C----------------------------------------------------------------------
      IF(ISW.NE.0) THEN
        WRITE(6,1000) IKHL,LMAD(NM),LJMAD(NM),NBLMX,TECM
 1000   FORMAT(10X,'ERROR MESSAGE IN OCMG; HOLE NO. =',I3,' PARTICLE LM,
     1JM =',2I3,/10X,'NBLMX =',I3,' ECM =',F8.3,F8.3,' MEV')
      END IF
C
      NNSRMX=NSRMAX*NSRMAX
      NNBLMX=NBLMX*NBLMX
      DO 500 NNI=1,NNSRMX
        NI1=MOD(NNI-1,NSRMAX)+1
        NI2=(NNI-1)/NSRMAX+1
        N2=2*NI2
        N1=2*NI1
        SUM(NNI)=(0.0,0.0)
        DO 400 NNBL=1,NNBLMX
          NBL1=MOD(NNBL-1,NBLMX)+1
          NBL2=(NNBL-1)/NBLMX+1
          NBL2NX=NBL2+NBLMX
          SUM(NNI)=SUM(NNI)+(CMH(N1,NM)*TSB(N1,NBL1)
     1    +CMF(N1,NM)*TSH(N1,NBL1))*A(NBL1,NBL2NX)*(CMH(N2,NM)
     2    *TSB(N2,NBL2)+CMF(N2,NM)*TSH(N2,NBL2))
  400   CONTINUE
  500 CONTINUE
      DO 520 NNI=1,NNSRMX
        NI1=MOD(NNI-1,NSRMAX)+1
        NI2=(NNI-1)/NSRMAX+1
        N12MIN=MIN0(NI1,NI2)
        N12MAX=MAX0(NI1,NI2)
        XMATI=CMF(2*N12MIN,NM)*CMH(2*N12MAX,NM)
        SLFZFF(NI1,NI2)=FAC1*CICX(2*NI1,IKHL)*CICX(2*NI2,IKHL)
     1              *(XMATI-FAC1*SUM(NNI))
  520 CONTINUE
c
      RETURN
      END
