C---------------------------------------------------------------------
      SUBROUTINE phspec(itrz,KTRPA,KTND,
     &                npairx,ipsd1,ipsd2,fbck)
c---------------------------------------------------------------------
c  set p-h/Delta-h state specification
c      npairx(1): no. of n-hole x particle(Delta) combinations
c      npairx(2): no. of p-hole=particle(Delta) combinations
c      ipsd1: hole ICH,  ipsd2: paticle(Delta) ICH
c      fbck: =1; forward, =-1; backward
C---------------------------------------------------------------------
      IMPLICIT NONE
C INPUTS:
      INTEGER itrz,KTRPA,KTND
C OUTPUTS:
      INTEGER  npairx(2),ipsd1(4,2),ipsd2(4,2)
      REAL     fbck(4,2)
C LOCAL:
      INTEGER  k,n
C---------------------------------------------------------------------
         do k=1,2
            do n=1,4
               ipsd1(n,k)=k
               fbck(n,k) =1.0
            end do
         end do
c
       if(KTND.eq.0) then 
          if(itrz.eq.1) then
             if((KTRPA.eq.0).or.(KTRPA.eq.1)) then
                npairx(1) =1
                npairx(2) =0             
                ipsd2(1,1)=4
             else if (KTRPA.eq.2)then
                npairx(1) =1
                npairx(2) =1             
                ipsd2(1,1)=4
                ipsd2(1,2)=3
                fbck(1,2) =-1.0
             else if (KTRPA.eq.3)then
                npairx(1) =1
                npairx(2) =1             
                ipsd2(1,1)=4
                ipsd2(1,2)=3
                fbck(1,2) =-1.0
             end if
          else if(itrz.eq.0) then
             if((KTRPA.eq.0).or.(KTRPA.eq.1)) then
                npairx(1) =1
                npairx(2) =1             
                ipsd2(1,1)=3
                ipsd2(1,2)=4
             else if (KTRPA.eq.2)then
                npairx(1) =2
                npairx(2) =2             
                ipsd2(1,1)=3
                ipsd2(2,1)=3
                fbck(2,1) =-1.0
                ipsd2(1,2)=4
                ipsd2(2,2)=4
                fbck(2,2) =-1.0
             else if (KTRPA.eq.3)then
                npairx(1) =2
                npairx(2) =2             
                ipsd2(1,1)=3
                ipsd2(2,1)=3
                fbck(2,1) =-1.0
                ipsd2(1,2)=4
                ipsd2(2,2)=4
                fbck(2,2) =-1.0
             end if
          else if(itrz.eq.-1) then
             if((KTRPA.eq.0).or.(KTRPA.eq.1)) then
                npairx(1) =0
                npairx(2) =1             
                ipsd2(1,2)=3
             else if (KTRPA.eq.2)then
                npairx(1) =1
                npairx(2) =1             
                ipsd2(1,1)=4
                fbck(1,1) =-1.0
                ipsd2(1,2)=3
             else if (KTRPA.eq.3)then
                npairx(1) =1
                npairx(2) =1             
                ipsd2(1,1)=4
                fbck(1,1) =-1.0
                ipsd2(1,2)=3
             end if
          end if
c---------------------------------------------------------------------
       else if(KTND.eq.1) then
          if(itrz.eq.1) then
             if((KTRPA.eq.0).or.(KTRPA.eq.1)) then
                npairx(1) =2
                npairx(2) =1             
                ipsd2(1,1)=4
                ipsd2(2,1)=7
                ipsd2(1,2)=8
             else if (KTRPA.eq.2)then
                npairx(1) =3
                npairx(2) =3             
                ipsd2(1,1)=4
                ipsd2(2,1)=7
                ipsd2(3,1)=5
                fbck(3,1) =-1.0
                ipsd2(1,2)=3
                fbck(1,2) =-1.0
                ipsd2(2,2)=8
                ipsd2(3,2)=6
                fbck(3,2) =-1.0
             else if (KTRPA.eq.3)then
                npairx(1) =2
                npairx(2) =2             
                ipsd2(1,1)=4
                ipsd2(2,1)=7
                ipsd2(1,2)=3
                fbck(1,2) =-1.0
                ipsd2(2,2)=8
             end if
          else if(itrz.eq.0) then
             if((KTRPA.eq.0).or.(KTRPA.eq.1)) then
                npairx(1) =2
                npairx(2) =2             
                ipsd2(1,1)=3
                ipsd2(2,1)=6
                ipsd2(1,2)=4
                ipsd2(2,2)=7
             else if (KTRPA.eq.2) then
               npairx(1) =4
               npairx(2) =4             
               ipsd2(1,1)=3
               ipsd2(2,1)=6
               ipsd2(3,1)=3
               fbck(3,1) =-1.0
               ipsd2(4,1)=6
               fbck(4,1) =-1.0
               ipsd2(1,2)=4
               ipsd2(2,2)=7
               ipsd2(3,2)=4
               fbck(3,2) =-1.0
               ipsd2(4,2)=7
               fbck(4,1) =-1.0
            else if (KTRPA.eq.3)then
               npairx(1) =3
               npairx(2) =3             
               ipsd2(1,1)=3
               ipsd2(2,1)=6
               ipsd2(3,1)=3
               fbck(3,1) =-1.0
               ipsd2(1,2)=4
               ipsd2(2,2)=7
               ipsd2(3,2)=4
               fbck(3,2) =-1.0
            end if
         else if(itrz.eq.-1) then
            if((KTRPA.eq.0).or.(KTRPA.eq.1)) then
               npairx(1) =1
               npairx(2) =2             
               ipsd2(1,1)=5
               ipsd2(1,2)=3
               ipsd2(2,2)=6
            else if (KTRPA.eq.2)then
               npairx(1) =3
               npairx(2) =3             
               ipsd2(1,1)=4
               fbck(1,1) =-1.0
               ipsd2(2,1)=5
               ipsd2(3,1)=7
               fbck(3,1) =-1.0
               ipsd2(1,2)=3
               ipsd2(2,2)=6
               ipsd2(3,2)=8
               fbck(3,2) =-1.0
            else if (KTRPA.eq.3)then
               npairx(1) =2
               npairx(2) =2             
               ipsd2(1,1)=4
               fbck(1,1) =-1.0
               ipsd2(2,1)=5
               ipsd2(1,2)=3
               ipsd2(2,2)=6
            end if
         end if
      end if
C
      return
      end
