c----------------------------------------------------------------------
      subroutine veffsv(itrjd,omegz,vff,wefflq,wefftq)
c---------------------------------------------------------------------
c      Radial part of s=1 t=1 channel effective interaction 
c      one pion + one rho exchange potential+g'-term + h'-term
c      isospin factor is not included
c
c    input
c      itrjd: transfered J : Jtr
c      omegz : transfered energy(MeV)
c      wefflq: W_L^{N/D,N/D}(omega,q)
c      wefftq: W_T^{N/D,N/D}(omega,q)
c
c    output control
c      KTOUT_VEF = 1 : print vff
c
C    output: 
c      vff^{N/D,N/D}((r1,l1),(r2,l2);Jtr,w)
c----------------------------------------------------------------------
      include 'dimn.fh'
      include 'cntl.fh'
      include 'ndp.fh'
      include 'fund1.fh'
      include 'fund2.fh'
      include 'veffct.fh'
      include 'lgbs.fh'
      include 'weff.fh'
      complex wffq,sum   
      dimension scleb(2)
c
      real*8 cpi/3.141592654d0/
c
      fac2=2.0/CPI 
c
      jtrw=2*itrjd
      istrw =2
c
      if(KTOUT_VEF.ne.0) write(6,1000) itrjd,omegz
 1000 format(/
     &'============================================================='
     &/'Effective interaction of s=1, t=1 channel'
     &/'  Vff^{ND1,ND2}((r1,l1),(r2,l2):Jtr,w), Jtr=',i2,
     &', OMEGA =',f6.2
     &/'-------------------------------------------------------------')
c
c     do loop for (N,N), (N,D), (D,D)
c   
      Do 889 NDP1=NDPMIN,NDPMAX
      Do 888 NDP2=NDP1,NDPMAX
C
C    SET SCLEB
      do 55 lk1=1,kltrmx
        l1w=2*ltr(lk1)
        scleb(lk1)=cleb(jtrw,0,istrw,0,l1w,0)
   55 continue
C
C    SET VFF
      do 300 lk1=1,kltrmx
        l1=ltr(lk1)
        nl1=l1+1
C
        do 200 lk2=lk1,kltrmx
          l2=ltr(lk2)
          nl2=l2+1
          tt=scleb(lk1)*scleb(lk2)
c
          do 100 n1=1,nsrmax
            i1=n1+nsrmax*(lk1-1)
            n2min=1
            if(l1.eq.l2) n2min=n1
C
            do 110 n2=n2min,nsrmax
              i2=n2+nsrmax*(lk2-1)
              sum=0.d0
C
              do k=1,nkmax
                sk =fkdmsh(k)
                wk =sk*sk*fkdwgt(k)
                wffq=(wefflq(k,NDP1,NDP2)-wefftq(k,NDP1,NDP2))*tt
                if(l1.eq.l2) wffq = wffq+wefftq(k,NDP1,NDP2)
                sum=sum+wk*wffq*bsl(k,n1,nl1)*bsl(k,n2,nl2)
              end do
C
              vff(i1,i2,NDP1,NDP2)=sum*fac2
              vff(i2,i1,NDP1,NDP2)=sum*fac2
              vff(i1,i2,NDP2,NDP1)=sum*fac2
              vff(i2,i1,NDP2,NDP1)=sum*fac2
  110       continue
  100     continue
c
C       { PRINT THE EFFECTIVE INTERACTION VFF(L1,L2,R1,R2)
C
          if(KTOUT_VEF.ne.0) then
            write(6,2000) l1,l2,NDP1,NDP2
            inter=10
C
            do n1=inter,nsrmax,inter
              i1=n1+nsrmax*(lk1-1)
              i2min=inter+nsrmax*(lk2-1)
              i2max=nsrmax*lk2
              write(6,160) n1,i1
              write(6,170) (vff(i2,i1,NDP1,NDP2),i2=i2min,i2max,inter)
            end do
          end if
  200   continue
  300 continue
  888 continue
  889 continue
C
 2000 format(/'Vff: (l1,l2) = (',i2,',',i2,'),',
     & ' (NDP1,NDP2) = (',I1,',',I1,')')
  160 format(1x,'n1 =',i3,' i1=',i3)
  170 format(3('(',e10.3,e11.3,'),',1x))
C
      return
      end
