C---------------------------------------------------------------------
      SUBROUTINE WRITE0(EPSJ,Vtautau,knmin,knmax,tgmass,
     &  EFL,nqmax,q_int_min,dq_int,w_int_min,dw_int,
     &  KTLTR,obex)
C      WRITE INPUT DATA OF RESPQ
C---------------------------------------------------------------------
      INCLUDE 'dimn.fh'
c  common blocks
      INCLUDE 'fund1.fh'
      INCLUDE 'fund2.fh'
      include 'base.fh'
      INCLUDE 'numrun.fh'
      INCLUDE 'opep.fh'
      include 'gprtrm.fh'
      include 'hprtrm.fh'
      INCLUDE 'opta1.fh'
      INCLUDE 'opta2.fh'
      INCLUDE 'clom.fh'
      INCLUDE 'orbt.fh'
      INCLUDE 'cntl.fh'
      include 'coul.fh'
c
      character str*60
C==============================================================
c   Date and run number
c--------------------------------------------------------------
      write(6,1050) (numrun(I),I=1,4),ititle
 1050 format(i2,'-',i2,'-',i4,'-',i2/1x,18a4)
C=============================================================
      write(6,1100)
 1100 FORMAT(
     & '============================================================'
     &/'CALCULATION AND OUTPUT OPTIONS'
     &/'------------------------------------------------------------'
     &)
c==============================================================
c   RPA calculation options
c--------------------------------------------------------------
      WRITE(6,1200)
 1200 format(' CALCULATION OPTIONS')
      IF(KTRPA.EQ.0) str='  UNPERTURBED CONTINUUM SHELL MODEL'
      IF(KTRPA.EQ.1) str='  Tamm-Dancoff Approximation'
      IF(KTRPA.EQ.2) str='  CONTINUUM RPA(RING APPROXIMATION)'
      IF(KTRPA.EQ.3) str='  RPA for p-h but TDA for Delta-h'
      write(*,*) ' KTRPA  =',KTRPA,str
c
      If(KTRPA.NE.0) then
         IF(KTND.EQ.0)  str= '  Nucleon Space only'
         IF(KTND.EQ.1)  str= '  Nucleon+Delta Space'
         write(*,*) ' KTND   =',KTND,str
         IF(KTVEFF.EQ.0)  str= '  LM only'
         IF(KTVEFF.EQ.1)  str= '  LM + OBEP'
         write(*,*) ' KTVEFF =',KTVEFF,str
      END IF
c
      IF(KTRQCV.EQ.1) str='  Convergence check by RS and RV '
      IF(KTRQCV.EQ.2) str='  Convergence chech by RS'
      IF(KTRQCV.EQ.3) str='  Convergence check by RV'
      if(KTRQCV.ne.0) then 
         write(*,*) ' KTRQCV =',KTRQCV,str
         WRITE(6,8000) EPSJ
      end if
 8000 FORMAT(14x,'CONVERGENCE CRITERION  EPSJ  = ',f7.5)
      IF(KTHSPWD.EQ.0)  str= '  No spreading widths of holes'
      IF(KTHSPWD.EQ.1)  str= '  With spreading widths of holes'
         write(*,*) ' KTHSPWD=',KTHSPWD,str
c===============================================================
C   Output options
c----------------------------------------------------------------
      IF((KTOUT_VEF.GE.1).OR.(KTOUT_BDW.GE.1)) WRITE(6,1232)
 1232 format(/ ' OUTPUT OPTIONS')
      IF(KTOUT_VEF.GE.1) write(*,*) ' KTOUT_VEF=',KTOUT_VEF,
     & '  Output Effective Interaction in r-Space'
      IF(KTOUT_BDW.GE.1) write(*,*) ' KTOUT_BDW=',KTOUT_BDW,
     &  '  Output Bound State Wave Func. in step of KTOUT_BDW'      
C===================================================================
c   Mass, Charge and Spin of the nucleus
c-------------------------------------------------------------------
      write(6,1000) Atg,tz1(1),tgmass
 1000 format(
     & '==========================================================='
     &/'Mass and Charge'
     &/'-----------------------------------------------------------'
     &/'  Target Mass Number: Atg =',f5.1
     &/'  Target      Charge: Ztg =',f5.1
     &/'  Target      Mass  : tgmass=',f10.2,' MeV')
C----------------------------------------------------------------------
c   Transferred momentum and energy
c----------------------------------------------------------------------
      WRITE(6,1020) nqmax,q_int_min,dq_int
 1020 FORMAT(
     & '============================================================'
     &/'TRANSFERED QUANTITIES'
     &/'------------------------------------------------------------'
     &/'  Transfferd intrinsic momentum (1/fm)'/1x,
     &'   nq_int_max =',I3,2x,'q_int_min =',f7.3,2x,'dq_int = ',f7.3)
      WRITE(6,1030) nwmax,w_int_min,dw_int
 1030 FORMAT('  Transferred intrinsic energy (MeV)'/1x,
     &'   nwmax  =',I4,2x,'w_int_min =',f7.3,2x,'dw_int = ',f7.3)
c---------------------------------------------------------------------
c   Transferred charge, angular momentum and parity
c---------------------------------------------------------------------
      WRITE(6,2000) ITRZ,ITRJMN,ITRJMX
 2000 FORMAT(
     & '------------------------------------------------------------'
     &/'  Transferred Charge  ITRZ = ',I2,
     &/'  Transferred Total Angular Momentum: TRJMIN =',I2,
     & '  TRJMAX =',I2)
      if(knmin.eq.2)     write(6,*) 
     &        ' Excited State Parity : unnatural '
      if(knmax.eq.1)     write(6,*) 
     &        ' Excited State Parity : natural '
      if(knmin.ne.knmax) write(6,*) 
     &        ' Excited State Parity : Natural and Unnatural'
      if(KTLTR.eq.1) write(6,*) 
     & ' KTLTR=1: Only the lowest Ltr for the given Jtr'
C=====================================================================
c   Core and single particle data
c---------------------------------------------------------------------
      WRITE(6,3000)
 3000 FORMAT(
     &'==============================================================='
     &/'Core and Single Particle Data'
     &/'---------------------------------------------------------------'
     &)
C
      IF(KTND.EQ.0) THEN
      WRITE(6,3100)
 3100 FORMAT(
     & ' ICH =',5X,'1 ', 7X,'2 ', 8X,'3',8X,'4',
     &/'      ',4X,'n-h',6X,'p-h',8X,'n',8X,'p')
C
      WRITE(6,3200) 
     &              (PMAS(I),I=1,4),(TMAS(I),I=1,4),
     &              (PZ(I),I=1,4),(TZ(I),I=1,4),
     &              (PSPN(I),I=1,4),
     &              (VD(I),I=1,4),
     &              (RRD(I),I=1,4),(ARD(I),I=1,4),
     &              (RCD(I),I=1,4),
     &              (VSOD(I),I=1,4),
     &              (RSOD(I),I=1,4),(ASOD(I),I=1,4),
C
     &              (WD(I),I=1,4),
     &              (WV0(I),I=1,4),(WS0(I),I=1,4),
     &              (RID(I),I=1,4),(AID(I),I=1,4),
     &              (RVD2(I),I=1,4),(AVD2(I),I=1,4),
C
     &              (BDIFD(I),I=1,4),
     &              (REFFD(I),I=1,4),(AEFFD(I),I=1,4),
     &              (alphsw(I),I=1,4),
     &              (eps0sw(I),I=1,4),
     &              (eps1sw(I),I=1,4)
 3200 FORMAT( 
     &         'PMASS=',4F9.3,/'TMASS=',4F9.3,
     &        /'  PZ =',4F9.3,/'  TZ =',4F9.3,
     &        /'PSPN =',4F9.3,
     &       //'  VD =',4F9.3,
     &        /'  RR =',4F9.3,/'  AR =',4F9.3,
     &        /' RCD =',4F9.3,
     &       //' VSO =',4F9.3,
     &        /' RSO =',4F9.3,/' ASO =',4F9.3,
     &       //'  WD =',4F9.3,
     &        /' WV0 =',4F9.3,/' WS0 =',4F9.3,
     &        /'  RI =',4F9.3,/'  AI =',4F9.3,
     &        /' RV2 =',4F9.3,/' AV2 =',4F9.3,
     &       //'BDIF =',4F9.3,
     &        /'REFF =',4F9.3,/'AEFF =',4F9.3
     &       //'alphsw=',4F9.3,
     &        /'eps0sw=',4F9.3,
     &        /'eps1sw=',4F9.3
     &       )
      end if
C--------------------------------------------------------------------
      IF(KTND.EQ.1) THEN
      WRITE(6,3300)
 3300 FORMAT(
     & ' ICH =',5X,'1 ',7X,'2 ',8X,'3',8X,'4',7X,' 5',8X,'6',
     &          8X,'7',8X,'8'
     &/'      ',4X,'n-h',6X,'p-h',8X,'n',8X,'p',8X,'D-',7X,'D0',
     &          7X,'D+',6X,'D++')
C
      WRITE(6,3400) 
     &              (PMAS(I),I=1,8),(TMAS(I),I=1,8),
     &              (PZ(I),I=1,8),(TZ(I),I=1,8),
     &              (PSPN(I),I=1,8),
C
     &              (VD(I),I=1,8),
     &              (RRD(I),I=1,8),
     &              (ARD(I),I=1,8),
     &              (RCD(I),I=1,8),
     &              (VSOD(I),I=1,8),
     &              (RSOD(I),I=1,8),
     &              (ASOD(I),I=1,8),
C
     &              (WD(I),I=1,8),
     &              (WV0(I),I=1,8),
     &              (WS0(I),I=1,8),
     &              (RID(I),I=1,8),
     &              (AID(I),I=1,8),
     &              (RVD2(I),I=1,8),
     &              (AVD2(I),I=1,8),
C
     &              (BDIFD(I),I=1,4),
     &              (REFFD(I),I=1,4),
     &              (AEFFD(I),I=1,4),
     &              (alphsw(I),I=1,4),
     &              (eps0sw(I),I=1,4),
     &              (eps1sw(I),I=1,4)
 3400 FORMAT( 
     &         'PMASS=',8F9.3,/'TMASS=',8F9.3,
     &        /'  PZ =',8F9.3,/'  TZ =',8F9.3,
     &        /'PSPN =',8F9.3,
     &       //'  VD =',8F9.3,
     &        /'  RR =',8F9.3,/'  AR =',8F9.3,
     &        /' RCD =',8F9.3,
     &       //' VSO =',8F9.3,
     &        /' RSO =',8F9.3,/' ASO =',8F9.3,
     &       //'  WD =',8F9.3,
     &        /' WV0 =',8F9.3,/' WS0 =',8F9.3,
     &        /'  RI =',8F9.3,/'  AI =',8F9.3,
     &        /' RV2 =',8F9.3,/' AV2 =',8F9.3,
     &       //'BDIF =',4F9.3,
     &        /'REFF =',4F9.3,
     &        /'AEFF =',4F9.3
     &       //'alphsw=',4F9.3,
     &        /'eps0sw=',4F9.3,
     &        /'eps1sw=',4F9.3
     &       )
      end if
c===================================================================
c   (p-h)/(Delta-h) pair specification
C--------------------------------------------------------------------
      WRITE(6,4000)
 4000 FORMAT(/'================================================='
     &       /'(p-h)/(Delta-h) pair specification '
     &       /'-------------------------------------------------'
     &       /7X,'IPSD1     IPSD2     FBCK')
C
      I=1
      DO K=1,2
        NMAX=NPAIRX(K)
        DO N=1,NMAX
          WRITE(6,4100) I,IPSD1(N,K),IPSD2(N,K),FBCK(N,K)
          I=I+1
        END DO
      END DO
 4100 FORMAT(I2,')  ',I5,'  -  ',I5,4X,F7.2,3X,F7.2)
C=====================================================================
c   EFFECTIVE INTERACTION PARAMETERS
c---------------------------------------------------------------------
      if(KTRPA.ne.0) then 
         WRITE(6,5000)
 5000 FORMAT(
     &/'============================================================'
     &/'EFFECTIVE INTERACTION PARAMETERS'
     &/'------------------------------------------------------------'
     &)
c
      write(6,5010) Vtautau
 5010 format('Spin scalar interaction'/'  Vtautau(MeVfm^3) =',f10.5)
c
      write(6,5020)
 5020 format(/'Spin vector interaction')
        WRITE(6,5030) FACBS,FRATIO,CRHOO,OBEX,EPION,ERHOO,wdthpi,wdthrh,
     &                ctpi(1),nctpi(1),ctpi(2),nctpi(2),
     &                ctrh(1),nctrh(1),ctrh(2),nctrh(2),
     &                GPR(1,1),GPR(1,2),GPR(2,1),GPR(2,2),
     &                ctgpr,nctgpr,
     &                hpr(1,1),hpr(1,2),hpr(2,1),hpr(2,2),
     &                cthpr,ncthpr
 5030 FORMAT('  F*F/4*PI    =',F10.4,'  FRATIO      =',F10.4,
     &      /'  CRHOO       =',F10.4,'  OBEX        =',F10.4,
     &      /'  MPION (MEV) =',F10.4,'  MRHOO (MEV) =',F10.4,
     &      /'  WIDTHPI(MeV)=',F10.4,'  WIDTHRH(MeV)=',F10.4, 
     &      /'  LAMPIN(MEV) =',F10.4,'  NPIN        =',I2,
     &      /'  LAMPID(MEV) =',F10.4,'  NPID        =',I2,
     &      /'  LAMRHN(MEV) =',F10.4,'  NRHN        =',I2,
     &      /'  LAMRHD(MEV) =',F10.4,'  NRHD        =',I2,
     &      /'  GPR(1,1)    =',F10.4,'  GPR(1,2)    =',F10.4,
     &      /'  GPR(2,1)    =',F10.4,'  GPR(2,2)    =',F10.4,
     &      /'  LAMGPRM(MEV)=',F10.4,'  NGPRM       =',I2,
     &      /'  HPR(1,1)    =',F10.4,'  HPR(1,2)    =',F10.4,
     &      /'  HPR(2,1)    =',F10.4,'  HPR(2,2)    =',F10.4,
     &      /'  LAMHPRM(MEV)=',F10.4,'  NHPRM       =',I2
     &      )
      end if
C====================================================================
c   INTEGRATION DATA
c--------------------------------------------------------------------
      WRITE(6,6000)NRMAX,DR,RMAX,NSRMAX,DSR,NKMAX,TKDMX
C
 6000 FORMAT(
     &/'============================================================='
     &/'INTEGRATION DATA'
     &/'-------------------------------------------------------------'
     & /' NRMAX =',I4,'  DR =',F6.3,'  RMAX =',F8.3
     & /' NSRMAX=',I4,'  DSR=',F6.3
     & /' NKMAX =',I4,'  TKDMX =',F6.3,' 1/FM')
C
 9000 RETURN
      END
