c----------------------------------------------------------------------
      SUBROUTINE WRSRTRL(q_int,fratio,omegd,dw_int,
     &     NDMMAX,nwmax,KTRPA)
C      OUTPUT RS,RT,RL,RV (TOTAL and FOR EACH ND-MODE) and NEWS,EWS
c----------------------------------------------------------------------
C  INPUT
c     KTRPA   : Type of the correlation
c     q_int   : intrinsic transferred momentum
c     nwmax   : number of transferred energies
c     omegd   : table of omega_int (intrinsic transferred energy)
c     dw_int  : increment of omega_int
c     rps(w)     : spin scalar response function with fixed q
c     rpv(w,NDM) : trace of spin-vector response function with fixed q and NDM
c     rpl(w,NDM) : spin longitudinal response function with fixed q,NDM
c     NDMMAX  : N-D coupling channel indication
c       NDM = 1 : NN-channel, = 2 : ND-channel, = 3 : DD-channel
c     fratio  : f_piND/f_piNN
c----------------------------------------------------------------------
      include 'dimn.fh'
      include 'rsrtrl.fh'
      real*4 omegd(*),fr(3),respT(nwdm), respL(nwdm),respV(nwdm)
C===================================================================
C Full RV, RL and RT
C===================================================================
      fr(1)=1.0
      fr(2)=2*fratio
      fr(3)=fratio**2
c
         do nw=1,nwmax
            respV(nw) =0.0
            respT(nw)  =0.0
            respL(nw)  =0.0
         end do
      Do nw=1,nwmax 
         Do NDM=1,NDMMAX         
            respV(nw) = respV(nw) + fr(NDM)*rpv(nw,NDM)
            respL(nw) = respL(nw) + fr(NDM)*rpl(nw,NDM)
         End do
         respT(nw) = (respV(nw)-respL(nw))/2.0
      end do
c==================================================================
C Sum rule values
C====================================================================
         sum0S =(rpS(1)+rpS(nwmax))/2.0
         sum0T =(respL(1)+respT(nwmax))/2.0
         sum0L =(respT(1)+respT(nwmax))/2.0
         sum1S =(omegd(1)*rpS(1)+omegd(nwmax)*rpS(nwmax))/2.0
         sum1T =(omegd(1)*respT(1)+omegd(nwmax)*respT(nwmax))/2.0
         sum1L =(omegd(1)*respL(1)+omegd(nwmax)*respL(nwmax))/2.0
c
      Do nw=2,(nwmax-1) 
         sum0S = sum0S + rpS(nw)
         sum0T = sum0T + respT(nw)
         sum0L = sum0L + respL(nw)
         sum1S = sum1S + omegd(nw)*rpS(nw)
         sum1T = sum1T + omegd(nw)*respT(nw)
         sum1L = sum1L + omegd(nw)*respL(nw)
      End do
c
         sum0S = sum0S*dw_int
         sum0T = sum0T*dw_int
         sum0L = sum0L*dw_int
         sum1S = sum1S*dw_int
         sum1T = sum1T*dw_int
         sum1L = sum1L*dw_int
c======================================================================
      write(6,5000)
 5000 format(
     &/'==========================================================='
     &/'RESPONSE FUNCTIONS RS, RT, RL, RV'
     &/'-----------------------------------------------------------')
c
      write(6,2000) q_int
 2000 format(' q_int =',f6.3,'(1/fm)')
c
      if(KTRPA.eq.0) write(6,*) '  Uncorrelated'
      if(KTRPA.eq.1) write(6,*) '  TDA'
      if(KTRPA.eq.2) write(6,*) '  RPA'
      if(KTRPA.eq.3) write(6,*) '  RPA for N TDA for D'
C
C    OUTPUT RS, RT, RL and RV
            write(6,2004) 
            do nw=1,nwmax
               write(6,2100) omegd(nw),
     1         rps(nw),respT(nw),respL(nw),respV(nw)
            end do
            write(*,*)
C    OUTPUT NEWS,EWS
        write(6,2005) sum0S,sum0T,sum0L,2.0*sum0T+sum0L     
        write(6,2006) sum1S,sum1T,sum1L,2.0*sum1T+sum1L
        write(*,*)
C   
 2100 format(5x,f6.2,5x,4e13.5)
 2004 format(5x,
     1 'omega(MeV)         RS           RT          RL          RV')
 2005 format(5x,'  NEWS     ',4e13.5)
 2006 format(5x,'  EWS      ',4e13.5)
C
      return
      end
